3 Replies Latest reply: May 5, 2012 10:02 PM by wgkorb RSS

    Error when running setup: Attach to native process

    922838
      Hi,

      I try to install the oracle iplanet webserver (version 7.0.13) on linux (centos 6.2, 64 bits).

      I first installed the compat-libstdc++-33 packages.
      After that I installed JRE, this version:

      java version "1.6.0_31"
      Java(TM) SE Runtime Environment (build 1.6.0_31-b04)
      Java HotSpot(TM) 64-Bit Server VM (build 20.6-b01, mixed mode)

      To install the iplanet webserver I first extract the content of the downloaded file (Oracle-iPlanet-Web-Server-7.0.13-linux-x64).
      Then I try to run setup with the command ./setup

      The error I get is: attach to native process failed.

      Any idea what is wrong?


      Regards Stefan
      Thanks for the help.
        • 1. Re: Error when running setup: Attach to native process
          wgkorb
          Stefan,

          I am seeing the same error on Ubuntu 12.04 Precise Pangolin (which is admittedly unsupported). This happened to me once before on an older version of Ubuntu, and as I recall, it was a missing library dependency, but I am not able to locate the fix I came up with at that time.

          Interestingly, my existing ws7u12 installation runs fine, I just cannot upgrade to the latest update (15).

          I have this software under support, but only on Solaris (I develop on Ubuntu, but deploy to my production Solaris server). In any case, as Ubuntu is not officially supported, opening an SR for this problem would be a waste of time.

          I'll continue digging for my old solution and post here if I find it. If you've since discovered the solution, I'd love to hear it.

          Thanks,
          Bill
          • 2. Re: Error when running setup: Attach to native process
            wgkorb
            I finally found my old thread, but it was actually a server startup issue, not the installation, and was indeed a result of a missing library.

            Re: WS7u6 on Ubuntu 9.10 Karmic Koala?

            I'll update if I find anything else.

            Thanks,
            Bill
            • 3. Re: Error when running setup: Attach to native process
              wgkorb
              OK, found it. I don't know if it's the same issue you were seeing, but apparently when I upgraded Ubuntu to 12.04 it removed the ia32-libs package. I installed that, and now the installer is working fine, and I was able to upgrade to ws7u15.

              Hope this helps you, too.

              Bill